View Single Post
  #4   (View Single Post)  
Old 26th November 2009
BSDfan666 BSDfan666 is offline
Real Name: N/A, this is the interweb.
Helpful companion
 
Join Date: Apr 2008
Location: Ontario, Canada
Posts: 2,223
Default

The radeon/ati(4) driver may support this device, consider trying Driver "radeon".. it may be a simple case of the shipped drivers not having the product ID for your card yet.

Google would indicate it's the ATI® Radeon™ 4100 (RS880/0x9711), what does dmesg/pcidump show for vga1?

OpenBSD 4.6 shipped with xf86-video-ati version 6.9.0, this version of the driver only supported the ATI® Radeon™ 3100 (RS780/0x9613).

A common trick is to pick a (..similar) supported models product ID, forcing ChipID 0x9613 may allow at least accelerated 2D to work, which is what you want.. right?

The unsupported alternative is to compiler a newer version of the radeon/radeonhd drivers.. but they would rather have you install the latest snapshot.
Reply With Quote